require "recipecode"

Recipe = Recipe or {}
Recipe.GetItemTypes = Recipe.GetItemTypes or {}
Recipe.OnCanPerform = Recipe.OnCanPerform or {}
Recipe.OnCreate = Recipe.OnCreate or {}
Recipe.OnGiveXP = Recipe.OnGiveXP or {}
Recipe.OnTest = Recipe.OnTest or {}

	--Tailoring XP
function Recipe.OnGiveXP.TailoringXP(recipe, ingredients, result, player)
    player:getXp():AddXP(Perks.Tailoring, 15);
end

	--Tailoring 5 XP
function Recipe.OnGiveXP.Tailoring5XP(recipe, ingredients, result, player)
    player:getXp():AddXP(Perks.Tailoring, 5);
end

	--Tailoring 7 XP
function Recipe.OnGiveXP.Tailoring7XP(recipe, ingredients, result, player)
    player:getXp():AddXP(Perks.Tailoring, 7);
end

	--Snowpity List
function Recipe.GetItemTypes.Snowpity(scriptItems)
    scriptItems:addAll(getScriptManager():getItemsTag("Snowpity"))
end

	--Smolpity
function Recipe.OnCreate.Snowpity(sources, result, character, item, isPrimaryHandItem, isSecondaryHandItem, player)
	result:setUsedDelta(result:getUseDelta());
end

	--Mare Parts
function Recipe.OnCreate.DisassembleMare(items, result, player)
    player:getInventory():AddItems("Base.RippedSheets", 3);
    player:getInventory():AddItems("Base.CottonBalls", 2);
end

	--Applejack Hat
function Recipe.OnCreate.RemoveHatfromApplejack(items, result, player)
    player:getInventory():AddItem("PompsItems_MyLittlePony.ApplejackHat");
end

	--Vinyl Glasses
function Recipe.OnCreate.RemoveGlassesfromVinylScratch(items, result, player)
    player:getInventory():AddItem("PompsItems_MyLittlePony.VinylGlasses");
end

	--Trixie Outfit
function Recipe.OnCreate.RemoveOutfitfromTrixie(items, result, player)
    player:getInventory():AddItem("PompsItems_MyLittlePony.TrixieOutfit");
end

	--Bit Rate Headset
function Recipe.OnCreate.RemoveHeadsetfromBitRate(items, result, player)
    player:getInventory():AddItem("PompsItems_MyLittlePony.BitRateHeadset");
end

	--Braeburn Hat
function Recipe.OnCreate.RemoveHatfromBraeburn(items, result, player)
    player:getInventory():AddItem("PompsItems_MyLittlePony.BraeburnHat");
end

	--Calamity Hat
function Recipe.OnCreate.RemoveHatfromCalamity(items, result, player)
    player:getInventory():AddItem("PompsItems_MyLittlePony.CalamityHat");
end

	--P-21 Saddlebags
function Recipe.OnCreate.RemoveBagsfromP21(items, result, player)
    player:getInventory():AddItem("PompsItems_MyLittlePony.P21PlushieAccessory");
end

	--Midnight Sapphire Hoodie
function Recipe.OnCreate.RemoveHoodiefromMidnightSapphire(items, result, player)
    player:getInventory():AddItem("PompsItems_MyLittlePony.MidnightSapphirePlushieAccessory");
end

	--Desiree Saddlebags
function Recipe.OnCreate.RemoveSaddlebagsfromDesiree(items, result, player)
    player:getInventory():AddItem("PompsItems_MyLittlePony.PIDesireePlushieAccessory");
end

	--Maxwell Book Bags
function Recipe.OnCreate.RemoveBookBagsfromMaxwell(items, result, player)
    player:getInventory():AddItem("PompsItems_MyLittlePony.PIMaxwellAccessory");
end

	--Skylar Palette Hoodie
function Recipe.OnCreate.RemoveHoodiefromSkylarPalette(items, result, player)
    player:getInventory():AddItem("PompsItems_MyLittlePony.PISkylarPalettePlushieHoodie");
end

	--Toffee Scotch Jacket
function Recipe.OnCreate.RemoveJacketFromToffeeScotch(items, result, player)
    player:getInventory():AddItem("PompsItems_MyLittlePony.PIToffeeScotchJacket");
end

	--Gryph Xander Outfit
function Recipe.OnCreate.RemoveOutfitFromGryphXander(items, result, player)
    player:getInventory():AddItem("PompsItems_MyLittlePony.PIGryphXanderClothes");
end

	--Mango Dusk Armor
function Recipe.OnCreate.RemoveArmorFromMangoDusk(items, result, player)
    player:getInventory():AddItem("PompsItems_MyLittlePony.PIMangoDuskAccessory");
end

	--Spiral de Light Vest
function Recipe.OnCreate.RemoveVestFromSpiralDelight(items, result, player)
    player:getInventory():AddItem("PompsItems_MyLittlePony.PISpiralDelightVest");
end

	--Aurora Fang Hoodie
function Recipe.OnCreate.RemoveHoodieFromAuroraFang(items, result, player)
    player:getInventory():AddItem("PompsItems_MyLittlePony.PIAuroraFangAccessory");
end

	--Ryakar Arracal Armor
function Recipe.OnCreate.RemoveArmorFromRyakarArracal(items, result, player)
    player:getInventory():AddItem("PompsItems_MyLittlePony.PIRyakarArracalArmor");
end

	--Sunny Day Gala Dress
function Recipe.OnCreate.RemoveDressFromSunnyDay(items, result, player)
    player:getInventory():AddItem("PompsItems_MyLittlePony.PISunnyDayPlushieDress");
end

	--Harmonic Duster
function Recipe.OnCreate.RemoveDusterFromHarmonic(items, result, player)
    player:getInventory():AddItem("PompsItems_MyLittlePony.PIHarmonicaAccessory");
end

	--Marker Pony Cape
function Recipe.OnCreate.RemoveCapeFromMarkerPony(items, result, player)
    player:getInventory():AddItem("PompsItems_MyLittlePony.PIMarkerPonyAccessory");
end

	--Gage Battledress
function Recipe.OnCreate.RemoveBDUFromGage(items, result, player)
    player:getInventory():AddItem("PompsItems_MyLittlePony.PIGageAccessory");
end

	--Charming Dazz Hoodie
function Recipe.OnCreate.RemoveHoodieFromCharmingDazz(items, result, player)
    player:getInventory():AddItem("PompsItems_MyLittlePony.PICharmingDazzAccessory");
end

	--Kerfuffle Vest
function Recipe.OnCreate.RemoveVestFromKerfuffle(items, result, player)
    player:getInventory():AddItem("PompsItems_MyLittlePony.PIKerfuffleAccessory");
end

	--Fila Brightspark Outfit
function Recipe.OnCreate.RemoveOutfitFromFilaBrightspark(items, result, player)
    player:getInventory():AddItem("PompsItems_MyLittlePony.PIFilaBrightsparkAccessory");
end

	--Storm Stryker Outfit
function Recipe.OnCreate.RemoveOutfitFromStormStryker(items, result, player)
    player:getInventory():AddItem("PompsItems_MyLittlePony.PIStormStrykerAccessory");
end

	--Resonant Crystal Outfit
function Recipe.OnCreate.RemoveOutfitFromResonantCrystal(items, result, player)
    player:getInventory():AddItem("PompsItems_MyLittlePony.PIResonantCrystalAccessory");
end

	--Misty Breeze Outfit
function Recipe.OnCreate.RemoveOutfitFromMistyBreeze(items, result, player)
    player:getInventory():AddItem("PompsItems_MyLittlePony.PIMistyBreezeAccessory");
end

	--Lampwick Outfit
function Recipe.OnCreate.RemoveOutfitFromLampwick(items, result, player)
    player:getInventory():AddItem("PompsItems_MyLittlePony.PIMisterMannAccessory");
end

	--Sunburst Outfit
function Recipe.OnCreate.RemoveOutfitFromSunburst(items, result, player)
    player:getInventory():AddItem("PompsItems_MyLittlePony.PISunburstAccessory");
end

	--Raven Inkwell Outfit
function Recipe.OnCreate.RemoveOutfitFromRavenInkwell(items, result, player)
    player:getInventory():AddItem("PompsItems_MyLittlePony.PIRavenInkwellAccessory");
end

	--Titan Guard Outfit
function Recipe.OnCreate.RemoveOutfitFromTitanGuard(items, result, player)
    player:getInventory():AddItem("PompsItems_MyLittlePony.PITitanGuardAccessory");
end

	--Rarity Gala Outfit
function Recipe.OnCreate.RemoveGalaDressFromRarity(items, result, player)
    player:getInventory():AddItem("PompsItems_MyLittlePony.PIRarityGalaDress");
end

	--Fluttershy Gala Outfit
function Recipe.OnCreate.RemoveGalaDressFromFluttershy(items, result, player)
    player:getInventory():AddItem("PompsItems_MyLittlePony.PIFluttershyGalaDress");
end

	--Rainbow Dash Gala Outfit
function Recipe.OnCreate.RemoveGalaDressFromRainbowDash(items, result, player)
    player:getInventory():AddItem("PompsItems_MyLittlePony.PIRainbowDashGalaAccessory");
end

	--Pinkie Pie Gala Outfit
function Recipe.OnCreate.RemoveGalaDressFromPinkiePie(items, result, player)
    player:getInventory():AddItem("PompsItems_MyLittlePony.PIPinkiePieGalaDressAccessory");
end

	--Pinkie Pie Burlesque Outfit
function Recipe.OnCreate.RemoveBurlesqueDressFromPinkiePie(items, result, player)
    player:getInventory():AddItem("PompsItems_MyLittlePony.PIPinkiePieBurlesqueDress");
end

	--Applejack Hat
function Recipe.OnCreate.RemoveHatFromApplejack(items, result, player)
    player:getInventory():AddItem("PompsItems_MyLittlePony.ApplejackHat");
end

	--Applejack Gala Outfit
function Recipe.OnCreate.RemoveGalaDressFromApplejack(items, result, player)
    player:getInventory():AddItem("PompsItems_MyLittlePony.PIApplejackGalaAccessory");
end

	--Twilight Sparkle Gala Outfit
function Recipe.OnCreate.RemoveGalaDressFromTwilightSparkle(items, result, player)
    player:getInventory():AddItem("PompsItems_MyLittlePony.PITwilightSparkleGalaDress");
end

	--Veen Sundown Armor
function Recipe.OnCreate.RemoveArmorFromVeenSundown(items, result, player)
    player:getInventory():AddItem("PompsItems_MyLittlePony.PIVeenSundownArmor");
end

	--Veen Sundown Scarf
function Recipe.OnCreate.RemoveScarfFromVeenSundown(items, result, player)
    player:getInventory():AddItem("PompsItems_MyLittlePony.PIVeenSundownScarfAccessory");
end

	--Bizarre Song Cape
function Recipe.OnCreate.RemoveCapeFromBizarreSong(items, result, player)
    player:getInventory():AddItem("PompsItems_MyLittlePony.PIBizarreSongCape");
end

	--Cyan Nova Uniform
function Recipe.OnCreate.RemoveUniformFromCyanNova(items, result, player)
    player:getInventory():AddItem("PompsItems_MyLittlePony.PICyanNovaAccessory");
end

	--Velvet Silverwing Hat
function Recipe.OnCreate.RemoveHatFromVelvetSilverwing(items, result, player)
    player:getInventory():AddItem("PompsItems_MyLittlePony.PIVelvetSilverwingAccessory");
end

	--Twitchy Live Hoodie
function Recipe.OnCreate.RemoveHoodieFromTwitchyLive(items, result, player)
    player:getInventory():AddItem("PompsItems_MyLittlePony.PITwitchyLiveAccessory");
end

	--Shattered Heart Outfit
function Recipe.OnCreate.RemoveOutfitFromShatteredHeart(items, result, player)
    player:getInventory():AddItem("PompsItems_MyLittlePony.PIShatteredHeartAccessory");
end

	--Fenris Ebonyglow Outfit
function Recipe.OnCreate.RemoveOutfitFromFenrisEbonyglow(items, result, player)
    player:getInventory():AddItem("PompsItems_MyLittlePony.PIFenrisEbonyglowAccessory");
end

	--Number Nine Outfit
function Recipe.OnCreate.RemoveOutfitFromNumberNine(items, result, player)
    player:getInventory():AddItem("PompsItems_MyLittlePony.PINumberNinePlushieAccessory");
end

	--Midnight Lancer Outfit
function Recipe.OnCreate.RemoveOutfitFromMidnightLancer(items, result, player)
    player:getInventory():AddItem("PompsItems_MyLittlePony.PIMidnightLancerPlushieAccessory");
end

	--Midnight Lancer Maid
function Recipe.OnCreate.RemoveMaidOutfitFromMidnightLancer(items, result, player)
    player:getInventory():AddItem("PompsItems_MyLittlePony.PIMaidAccessory");
end

	--Midnight Lancer Cheerleader
function Recipe.OnCreate.RemoveCheerOutfitFromMidnightLancer(items, result, player)
    player:getInventory():AddItem("PompsItems_MyLittlePony.PIMidnightLancerCheerleaderAccessory");
end

	--Blue Mending Outfit
function Recipe.OnCreate.RemoveOutfitFromBlueMending(items, result, player)
    player:getInventory():AddItem("PompsItems_MyLittlePony.PIBlueMendingAccessory");
end

	--Shining Armor Outfit
function Recipe.OnCreate.RemoveOutfitFromShiningArmor(items, result, player)
    player:getInventory():AddItem("PompsItems_MyLittlePony.PIShiningArmorAccessory");
end

	--Slashing Prices Outfit
function Recipe.OnCreate.RemoveOutfitFromSlashingPrices(items, result, player)
    player:getInventory():AddItem("PompsItems_MyLittlePony.PISlashingPricesAccessory");
end

	--Morning Mimosa Outfit
function Recipe.OnCreate.RemoveOutfitFromMorningMimosa(items, result, player)
    player:getInventory():AddItem("PompsItems_MyLittlePony.PIMorningMimosaAccessory");
end

	--Fair Flyer Outfit
function Recipe.OnCreate.RemoveOutfitFromFairFlyer(items, result, player)
    player:getInventory():AddItem("PompsItems_MyLittlePony.PIFairFlyerAccessory");
end

	--Vuren Sundown Radiant Outfit
function Recipe.OnCreate.RemoveRadiantFromVurenSundown(items, result, player)
    player:getInventory():AddItem("PompsItems_MyLittlePony.PIVurenSundownRadiantAccessory");
end

	--Altus Bastion Outfit
function Recipe.OnCreate.RemoveOutfitFromAltusBastion(items, result, player)
    player:getInventory():AddItem("PompsItems_MyLittlePony.PIAltusBastionAccessory");
end

	--Radium Gears Outfit
function Recipe.OnCreate.RemoveOutfitFromRadiumGears(items, result, player)
    player:getInventory():AddItem("PompsItems_MyLittlePony.PIRadiumGearsAccessory");
end

	--Fable Rat Outfit
function Recipe.OnCreate.RemoveOutfitFromFableRat(items, result, player)
    player:getInventory():AddItem("PompsItems_MyLittlePony.PIFableRatPlushieAccessory");
end

	--Cinny Outfit
function Recipe.OnCreate.RemoveOutfitFromCinny(items, result, player)
    player:getInventory():AddItem("PompsItems_MyLittlePony.PICinnyAccessory");
end

	--Clyde Outfit
function Recipe.OnCreate.RemoveOutfitFromClyde(items, result, player)
    player:getInventory():AddItem("PompsItems_MyLittlePony.PIClydeAccessory");
end

	--Harmonic Tune Outfit
function Recipe.OnCreate.RemoveOutfitFromHarmonicTune(items, result, player)
    player:getInventory():AddItem("PompsItems_MyLittlePony.PIHarmonicTuneHC25Accessory");
end

	--Harmony Star Hat
function Recipe.OnCreate.RemoveHatFromHarmonyStar(items, result, player)
    player:getInventory():AddItem("PompsItems_MyLittlePony.PIHarmonyStarAccessory");
end

	--Harmony Star Dress
function Recipe.OnCreate.RemoveDressFromHarmonyStar(items, result, player)
    player:getInventory():AddItem("PompsItems_MyLittlePony.PIHarmonyStarHC25Accessory");
end

	--Brandfurd Outfit
function Recipe.OnCreate.RemoveOutfitFromBrandfurd(items, result, player)
    player:getInventory():AddItem("PompsItems_MyLittlePony.PIBrandfurdStalkAccessory");
end

	--Wanda Bee Outfit
function Recipe.OnCreate.RemoveWandaBeeFromFilly(items, result, player)
    player:getInventory():AddItem("PompsItems_MyLittlePony.PIBeeFillyAccessory");
end

	--Rainbowshine Outfit
function Recipe.OnCreate.RemoveJacketFromRainbowshine(items, result, player)
    player:getInventory():AddItem("PompsItems_MyLittlePony.PIRainbowshineAccessory");
end

	--Ranger Dash Outfit
function Recipe.OnCreate.RemoveJacketFromRangerDash(items, result, player)
    player:getInventory():AddItem("PompsItems_MyLittlePony.PIRangerDashAccessory");
end

	--CJ Outfit
function Recipe.OnCreate.PIRemoveCJ(items, result, player)
    player:getInventory():AddItem("PompsItems_MyLittlePony.PICJPlushieAccessory");
end







	--Burnt Brick Outfit
function Recipe.OnCreate.PIRemoveBurntBrick(items, result, player)
    player:getInventory():AddItem("PompsItems_MyLittlePony.PIBurntBrickAccessory");
end

	--Fatal Fix Outfit
function Recipe.OnCreate.PIRemoveFatalFix(items, result, player)
    player:getInventory():AddItem("PompsItems_MyLittlePony.PIFatalFixAccessory");
end

	--Blue Bonnet Outfit
function Recipe.OnCreate.PIRemoveBlueBonnet(items, result, player)
    player:getInventory():AddItem("PompsItems_MyLittlePony.PIBlueBonnetAccessory");
end

	--Donut Daydream Outfit
function Recipe.OnCreate.PIRemoveDonutDaydream(items, result, player)
    player:getInventory():AddItem("Base.DoughnutFrosted");
end

	--Anthyde Chrys Outfit
function Recipe.OnCreate.PIRemoveAnthydeChrys(items, result, player)
    player:getInventory():AddItem("PompsItems_MyLittlePony.PIAnthydeChrysAccessory");
end

	--Anon Filly Scarf
function Recipe.OnCreate.PIRemoveFillyScarf(items, result, player)
    player:getInventory():AddItem("PompsItems_MyLittlePony.PIAnonFillyScarf");
end

	--Armaredillo Outfit
function Recipe.OnCreate.PIRemoveArmaredillo(items, result, player)
    player:getInventory():AddItem("PompsItems_MyLittlePony.PIArmaredilloAccessory");
end

	--Bloona Blazes Outfit
function Recipe.OnCreate.PIRemoveBloonaBlazes(items, result, player)
    player:getInventory():AddItem("PompsItems_MyLittlePony.PIBloonaBlazesAccessory");
end

	--Tenebrous Outfit
function Recipe.OnCreate.PIRemoveTenebrous(items, result, player)
    player:getInventory():AddItem("PompsItems_MyLittlePony.PITenebrousGrimoireAccessory");
end

	--Glacial Neige Outfit
function Recipe.OnCreate.PIRemoveGlacialNeige(items, result, player)
    player:getInventory():AddItem("PompsItems_MyLittlePony.PIGlacialNeigeAccessory");
end

	--Phillip Driver Outfit
function Recipe.OnCreate.PIRemovePhillipDriver(items, result, player)
    player:getInventory():AddItem("PompsItems_MyLittlePony.PIPhillipDriverAccessory");
end

	--Clank Gearheart Outfit
function Recipe.OnCreate.PIRemoveClankGearheart(items, result, player)
    player:getInventory():AddItem("PompsItems_MyLittlePony.PIClankPlushieAccessory");
end

	--Whiskey Wisp Outfit
function Recipe.OnCreate.PIRemoveWhiskeyWisp(items, result, player)
    player:getInventory():AddItem("PompsItems_MyLittlePony.PIWhiskeyWispPlushieAccessory");
end

	--Whirlwind Outfit
function Recipe.OnCreate.PIRemoveWhirlwind(items, result, player)
    player:getInventory():AddItem("PompsItems_MyLittlePony.PIBlackParadeAccessory");
end

	--Trixie Outfit Outfit
function Recipe.OnCreate.PIRemoveTrixieCape(items, result, player)
    player:getInventory():AddItem("PompsItems_MyLittlePony.TrixieOutfit");
end

	--Trixie GP Outfit
function Recipe.OnCreate.PIRemoveTrixieGP(items, result, player)
    player:getInventory():AddItem("PompsItems_MyLittlePony.PITrixieOutfitMLR");
end

	--Silver Hat Outfit
function Recipe.OnCreate.PIRemoveSilverHat(items, result, player)
    player:getInventory():AddItem("PompsItems_MyLittlePony.PISilverAccessory");
end

	--Arwen Outfit
function Recipe.OnCreate.PIRemoveArwen(items, result, player)
    player:getInventory():AddItem("PompsItems_MyLittlePony.PIArwenAccessory");
end

	--Little League Outfit
function Recipe.OnCreate.PIRemoveLittleLeague(items, result, player)
    player:getInventory():AddItem("PompsItems_MyLittlePony.PILittleLeagueAccessory");
end

	--Whimsy Tail Outfit
function Recipe.OnCreate.PIRemoveWhimsyTail(items, result, player)
    player:getInventory():AddItem("PompsItems_MyLittlePony.PIWhimsyTailAccessory");
end

	--Trixie Hoodie Outfit
function Recipe.OnCreate.PIRemoveTrixieHoodie(items, result, player)
    player:getInventory():AddItem("PompsItems_MyLittlePony.PITrixieBabysitterAccessory");
end

	--Midnight Blitz Outfit
function Recipe.OnCreate.PIRemoveMidnightBlitz(items, result, player)
    player:getInventory():AddItem("PompsItems_MyLittlePony.PIMaidAccessory");
end

	--Pyraxis Outfit
function Recipe.OnCreate.PIRemovePyraxis(items, result, player)
    player:getInventory():AddItem("PompsItems_MyLittlePony.PIPyraxisPlushieAccessory");
end

	--Record Stereo Outfit
function Recipe.OnCreate.PIRemoveRecordStereo(items, result, player)
    player:getInventory():AddItem("PompsItems_MyLittlePony.PIRecordStereoAccessory");
end

	--Milky Way Outfit
function Recipe.OnCreate.PIRemoveMilkyWay(items, result, player)
    player:getInventory():AddItem("PompsItems_MyLittlePony.PIMilkyWayAccessory");
end

	--Whinny Outfit
function Recipe.OnCreate.PIRemoveWhinny(items, result, player)
    player:getInventory():AddItem("PompsItems_MyLittlePony.PIWenniPlushieAccessory");
end

	--Desired Outfit
function Recipe.OnCreate.PIRemoveDesired(items, result, player)
    player:getInventory():AddItem("PompsItems_MyLittlePony.PIDesiredPlushieAccessory");
end

	--Winter Spirit Outfit
function Recipe.OnCreate.PIRemoveWinterSpirit(items, result, player)
    player:getInventory():AddItem("PompsItems_MyLittlePony.PIWinterSpiritAccessory");
end

	--Shadowtask Outfit
function Recipe.OnCreate.PIRemoveShadowtask(items, result, player)
    player:getInventory():AddItem("PompsItems_MyLittlePony.PIShadowtaskPlushieAccessory");
end

	--Flawless Sparklemoon Outfit
function Recipe.OnCreate.PIRemoveFlawlessSparklemoon(items, result, player)
    player:getInventory():AddItem("PompsItems_MyLittlePony.PIFlawlessSparklemoonAccessory");
end

	--Arny Outfit
function Recipe.OnCreate.PIRemoveArny(items, result, player)
    player:getInventory():AddItem("PompsItems_MyLittlePony.PIArnyPlushieAccessory");
end

	--Goldie Mops Outfit
function Recipe.OnCreate.PIRemoveGoldieMops(items, result, player)
    player:getInventory():AddItem("PompsItems_MyLittlePony.PIGoldieMopsAccessory");
end

	--Dyx Getup Outfit
function Recipe.OnCreate.PIRemoveDyxGetup(items, result, player)
    player:getInventory():AddItem("PompsItems_MyLittlePony.PIDyxAccessory");
end

	--Filly Scout Outfit
function Recipe.OnCreate.PIRemoveFillyScout(items, result, player)
    player:getInventory():AddItem("PompsItems_MyLittlePony.PIDyxFillyScoutAccessory");
end

	--Doomy Gloom Outfit
function Recipe.OnCreate.PIRemoveDoomyGloom(items, result, player)
    player:getInventory():AddItem("PompsItems_MyLittlePony.PIDoomyGloomAccessory");
end

	--Nyx Outfit
function Recipe.OnCreate.PIRemoveNyx(items, result, player)
    player:getInventory():AddItem("PompsItems_MyLittlePony.PINyxAccessory");
end